Bug 34596 - php-pgsql requires libpq.so
php-pgsql requires libpq.so
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-03 21:20 EDT by Gordon Messmer
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-04 16:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Messmer 2001-04-03 21:20:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-1smp i686)


php-pgsql should be linked against, and require something like
libpq.so.2.1, but instead requires libpq.so, which is in the
postgresql-devel package.

Reproducible: Always
Steps to Reproduce:
1.  Try to install php-pgsql on an installation without -devel packages
	

Actual Results:  Package fails, because it requires a file that doesn't
exist

Expected Results:  It should have installed :)
Comment 1 Trond Eivind Glomsrxd 2001-04-04 16:52:40 EDT
libpq.so was part of postgresql-7.0.3-7, which was what was included in Wolverine.

Note You need to log in before you can comment on or make changes to this bug.